Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching.impl
Class PassAllBlocks

    java.lang.Object
      com.sun.mdm.index.matching.impl.PassAllBlocks

All Implemented Interfaces:
  PassController

public class PassAllBlocks
extends java.lang.Object
implements PassController

User implementable interface that controls whether to attempt another pass with another block. This simple implementation just passes all block definitions by looping until no block IDs remain.

Constructor Summary
`PassAllBlocks()` Creates new PassAllBlocks

Method Summary
`boolean` | `evalAnotherPass(SystemObject inObject, EOSearchOptions searchOptions, java.util.ArrayList lastResults, java.util.ArrayList combinedResults, java.util.ArrayList previousBlockIDs, java.util.ArrayList remainingBlockIDs)` Evaluate whether to attempt another matching pass with another block definition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PassAllBlocks

    public PassAllBlocks()

  Creates new PassAllBlocks

Method Detail

### evalAnotherPass

    public boolean evalAnotherPass(SystemObject inObject,
                                   EOSearchOptions searchOptions,
                                   java.util.ArrayList lastResults,
                                   java.util.ArrayList combinedResults,
                                   java.util.ArrayList previousBlockIDs,
                                   java.util.ArrayList remainingBlockIDs)

  Evaluate whether to attempt another matching pass with another block definition. This simple implementation just passes all block definitions by looping until no block IDs remain.

  Specified by:
    `evalAnotherPass` in interface `PassController`
  Parameters:
    `inObject` - the Object to find matches for
    `searchOptions` - the options used for the search. From this it is possible to tell whether it is a weighted search or a normal match.
    `lastResults` - the ScoreElement results from the last pass of a block. The ScoreElements are NOT sorted by weight at this point
    `combinedResults` - the ScoreElement results from the all previous passes of a blocks for a findMatch.
    `previousBlockIDs` - the Block IDs that have been evaluated up to this point
    `remainingBlockIDs` - the Block IDs that have not yet been evaluated up to this point The ScoreElements are NOT sorted by weight at this point
  Returns:
    true if it should attempt to do another pass with the next block

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.